<?php

declare(strict_types=1);

namespace db;

use db\DataSource;
use models\ReviewSchema;

class ReviewQuery
{
    public static function findByIdAndDelete($id)
    {
        $db = new DataSource;
        $sql = 'delete from reviews where id = :id;';

        return $db->execute($sql, [':id' => $id]);
    }

    public static function findByCampIdAndDelete($camp_id)
    {
        $db = new DataSource;
        $sql = 'delete from reviews where camp_id = :camp_id;';

        return $db->execute($sql, [':camp_id' => $camp_id]);
    }

    public static function insert(ReviewSchema $review)
    {
        $db = new DataSource;
        $sql = 'insert into reviews (body, rating, camp_id, author) values (:body, :rating, :camp_id, :author)';

        return $db->execute($sql, [
            ':body' => $review->body,
            ':rating' => $review->rating,
            ':camp_id' => $review->camp_id,
            ':author' => $review->author,
        ]);
    }

    public static function select(string $criteria = null)
    {
        $db = new DataSource;
        $sql = 'select * from reviews' . (empty($criteria) ? '' : " where {$criteria}");
        $result = $db->select($sql, [], DataSource::CLS, ReviewSchema::class);

        return $result;
    }

    public static function findById($id)
    {
        $db = new DataSource;
        $sql = 'select * from reviews where id = :id';

        $result = $db->select($sql, [':id' => $id,], DataSource::CLS, ReviewSchema::class);

        return (!empty($result) && count($result) > 0) ? $result[0] : null;
    }

    public static function deleteAll()
    {
        $db  = new DataSource;
        $sql = 'delete from reviews';

        return $db->execute($sql);
    }
}
