<?php

namespace utils;

use utils\Session;
use Throwable;

class Flush extends Session
{
    protected static $SESSION_NAME = '_msg';
    public const ERROR = 'error';
    public const INFO = 'info';
    public const DEBUG = 'debug';

    public static function push($type, $msg)
    {
        if (!is_array(static::getSession())) {
            static::init();
        }

        $msgs = static::getSession();
        $msgs[$type][] = $msg;
        static::setSession($msgs);
    }

    public static function pop()
    {
        try {
            return static::getSessionAndFlush() ?? [];
        } catch (Throwable $e) {
            Flush::push(Flush::DEBUG, $e->getMessage());
            Flush::push(Flush::DEBUG, 'Flush::popで例外が発生しました。');
        }
        return [];
    }

    private static function init()
    {
        static::setSession([
            static::ERROR => [],
            static::INFO => [],
            static::DEBUG => []
        ]);
    }
}
